*############################################################
*###############DATA SETUP###################################
*###############27 countries 1998-2019#######################
*###############ALL THE VARIABLES WHICH WILL BE USED#########
*#########either in time series or cross-sectional analysis##


clear all

*Set Directory

gl rawdata  = "...\rawdata"
gl procdata = "...\procdata"
gl output   = "...\output"

cd "${output}"

local mylist "AT BE CH CZ DE DK EE ES FI FR GR HU IE IS IT LT LU LV NL NO PL PT RO SE SI SK UK" 
foreach var of local mylist{
foreach num of numlist 1998/2019{
import delimited "${rawdata}/`var'`num'_y.csv"
keep qhhnum hhnum hhseqnum hhspou hhmoth hhfath hhlink hhtype hhmoth hhfath hhpers hhparent hhpartnr hhchildr coeff marstat sex age hatlev1d refyear country refweek hwusual hwactual hwactua2 hwoverp hwoverpu hourreas nowkreas ilostat wstator ftpt temp isco1d nace1d na111d hhchildr hhnbpers hhnb0014 hhnbold hhnbchld hhnbch2 hhnbch5 hhnbch8 hhnbch11 hhnbch14 hhnbch17 hhnbch24 hhageyg hhage14 hhcomp hhnbwork hhnbempl hhnbunem hhnbinac hhwkstat 
tempfile  `var'_`num'
save ``var'_`num''
clear
}
}

***********1 file for each country
foreach var of local mylist{
foreach num of numlist 1998/2019{
append using ``var'_`num'.dta', force
}
tempfile `var'all
save ``var'all'
clear
}
*****Create a file with all countries

clear all
foreach var of local mylist{
append using ``var'all.dta', force
}

save "${rawdata}/LFS_27countries_98_19.dta", replace


******************************************************************************
********************************************************************************
********************************************************************************

